# Class CIM_SoftwareFeatureComponent
extends CIM_Component

The SoftwareFeatureComponent aggregation models a set of subordinate or independent Software Features of a Product. These are aggregated together to form a higher-level or large grain Feature under the same Product.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Component
|
+--CIM_SoftwareFeatureComponent

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Aggregation | boolean | true
Association | boolean | true
Description | string | The SoftwareFeatureComponent aggregation models a set of subordinate or independent Software Features of a Product. These are aggregated together to form a higher-level or large grain Feature under the same Product.
UMLPackagePath | string | CIM::Application::DeploymentModel
Version | string | 2.6.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
GroupComponent | CIM_SoftwareFeatureComponent | CIM_SoftwareFeature
PartComponent | CIM_SoftwareFeatureComponent | CIM_SoftwareFeature

## Class Methods